> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Templates

Templates is a new feature which will allow customers to create message templates to be leveraged by (but not limited to) status updates. The API will be secured to customers with the status updates entitlements.

- [List templates](https://docs.pagerduty.com/developer/api/reference/rest/templates/get-templates.md) — `GET /templates`
- [Create a template](https://docs.pagerduty.com/developer/api/reference/rest/templates/create-template.md) — `POST /templates`
- [Get a template](https://docs.pagerduty.com/developer/api/reference/rest/templates/get-template.md) — `GET /templates/{id}`
- [Delete a template](https://docs.pagerduty.com/developer/api/reference/rest/templates/delete-template.md) — `DELETE /templates/{id}`
- [Update a template](https://docs.pagerduty.com/developer/api/reference/rest/templates/update-template.md) — `PUT /templates/{id}`
- [Render a template](https://docs.pagerduty.com/developer/api/reference/rest/templates/render-template.md) — `POST /templates/{id}/render`
- [List template fields](https://docs.pagerduty.com/developer/api/reference/rest/templates/get-template-fields.md) — `GET /templates/fields`

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
